MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions
TagTable.hxx File Reference
`#include "TagType.h"`
`#include "Compiler.h"`
Include dependency graph for TagTable.hxx:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | tag_table

## Functions
gcc_pure TagType | tag_table_lookup (const tag_table *table, const char *name)
| Looks up a string in a tag translation table (case sensitive). More...
gcc_pure TagType | tag_table_lookup_i (const tag_table *table, const char *name)
| Looks up a string in a tag translation table (case insensitive). More...
gcc_pure const char * | tag_table_lookup (const tag_table *table, TagType type)
| Looks up a TagType in a tag translation table and returns its string representation. More...

## Function Documentation

gcc_pure TagType tag_table_lookup | ( | const tag_table * | table,
|  | const char * | name
| ) |  |

Looks up a string in a tag translation table (case sensitive).

Returns TAG_NUM_OF_ITEM_TYPES if the specified name was not found in the table.

gcc_pure const char* tag_table_lookup | ( | const tag_table * | table,
|  | TagType | type
| ) |  |

Looks up a TagType in a tag translation table and returns its string representation.

Returns nullptr if the specified type was not found in the table.

gcc_pure TagType tag_table_lookup_i | ( | const tag_table * | table,
|  | const char * | name
| ) |  |

Looks up a string in a tag translation table (case insensitive).

Returns TAG_NUM_OF_ITEM_TYPES if the specified name was not found in the table.